Skip to main content
GET
/
v3
/
chargers
/
{charger}
Get Charger
curl --request GET \
  --url https://app.plugchoice.com/api/v3/chargers/{charger} \
  --header 'Authorization: Bearer <token>'
{
  "uuid": "<string>",
  "id": 123,
  "identity": "<string>",
  "pincode": "<string>",
  "reference": "<string>",
  "connection_status": "<string>",
  "status": "<string>",
  "error": "<string>",
  "error_info": "<string>",
  "vendor_id": "<string>",
  "vendor_error_code": "<string>",
  "firmware_version": "<string>",
  "parsed_firmware_version": "<string>",
  "server": "<string>",
  "last_connection_at": "<string>",
  "last_disconnection_at": "<string>",
  "last_heartbeat_at": "<string>",
  "setup_pending": true,
  "setup_completed": true,
  "blocked": true,
  "max_current": 123,
  "created_at": "<string>",
  "updated_at": "<string>",
  "licenses": {
    "smart": true,
    "pro": true
  },
  "model_id": 123,
  "model": {
    "vendor": "<string>",
    "name": "<string>",
    "is_dc": true
  },
  "connectors": [
    {
      "id": 123,
      "charger_id": 123,
      "connector_id": 123,
      "status": "<string>",
      "error": "<string>",
      "error_info": "<string>",
      "vendor_id": "<string>",
      "vendor_error_code": "<string>",
      "max_amperage": 123,
      "max_voltage": 123,
      "standard": "<string>",
      "format": "<string>",
      "power_type": "<string>",
      "phase_rotation": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  ],
  "permissions": {
    "basic": true,
    "sensitive": true,
    "full": true
  }
}
Returns the details of a specific charger, including its model and connectors.
charger
string
required
The UUID of the charger.

Response

uuid
string
The unique UUID of the charger.
id
integer
The numeric ID of the charger.
identity
string
The unique identity string of the charger.
pincode
string
The charger’s pincode. Only returned if the authenticated user has sensitive permissions.
reference
string
A user-defined reference for the charger. May be null.
connection_status
string
The current connection status of the charger.
status
string
The current OCPP status of the charger.
error
string
The current error code, if any. May be null.
error_info
string
Additional error information. May be null.
vendor_id
string
The vendor identifier. May be null.
vendor_error_code
string
A vendor-specific error code. May be null.
firmware_version
string
The raw firmware version string. May be null.
parsed_firmware_version
string
The parsed and normalized firmware version. May be null.
server
string
The OCPP server the charger is connected to. May be null.
last_connection_at
string
ISO 8601 timestamp of the last connection. May be null.
last_disconnection_at
string
ISO 8601 timestamp of the last disconnection. May be null.
last_heartbeat_at
string
ISO 8601 timestamp of the last heartbeat. May be null.
setup_pending
boolean
Whether the charger has a pending setup operation.
setup_completed
boolean
Whether the charger has completed initial setup.
blocked
boolean
Whether the charger is blocked.
max_current
number
The maximum current in Amperes the charger can deliver.
created_at
string
ISO 8601 timestamp of when the charger was created.
updated_at
string
ISO 8601 timestamp of when the charger was last updated.
licenses
object
The charger’s active licenses.
model_id
integer
The ID of the charger model. May be null.
model
object
The charger model details.
connectors
object[]
The charger’s connectors.
permissions
object
The authenticated user’s permissions for this charger.